Get one of invoices
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 98,
"appointment_id": 4521,
"practitioner_id": 12,
"location_id": 1,
"patient_id": 340,
"total": "65.00",
"third_party": false,
"updated_at": "2026-09-01T14:30:00Z",
"created_at": "2026-09-01T09:15:00Z",
"number": 1042,
"state": "unpaid",
"type": "private",
"invoice_date": "2026-09-01",
"note": "Initial consultation and exercise plan",
"subtotal": "65.00",
"balance": "35.00",
"patient_balance": "35.00",
"third_party_balance": "0.00"
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Invoices
Get one of invoices
GET
https://{clinic}.{region}.practicehub.io/v3/api
/
invoices
/
{id}
Get one of invoices
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 98,
"appointment_id": 4521,
"practitioner_id": 12,
"location_id": 1,
"patient_id": 340,
"total": "65.00",
"third_party": false,
"updated_at": "2026-09-01T14:30:00Z",
"created_at": "2026-09-01T09:15:00Z",
"number": 1042,
"state": "unpaid",
"type": "private",
"invoice_date": "2026-09-01",
"note": "Initial consultation and exercise plan",
"subtotal": "65.00",
"balance": "35.00",
"patient_balance": "35.00",
"third_party_balance": "0.00"
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
API key from Developers → API Keys, sent as Authorization: Bearer .
Path Parameters
Response
The resource
Show child attributes
Show child attributes
Example:
{ "id": 98, "appointment_id": 4521, "practitioner_id": 12, "location_id": 1, "patient_id": 340, "total": "65.00", "third_party": false, "updated_at": "2026-09-01T14:30:00Z", "created_at": "2026-09-01T09:15:00Z", "number": 1042, "state": "unpaid", "type": "private", "invoice_date": "2026-09-01", "note": "Initial consultation and exercise plan", "subtotal": "65.00", "balance": "35.00", "patient_balance": "35.00", "third_party_balance": "0.00" }
Was this page helpful?